Subject: bug#70781: Same situation in GuixSD install

From: Kristofer Hjelmtorp <[email-masked]>
Date: Tue, 28 May 2024 21:57:59 +0200 (CEST)

Hi Florian

Thanks for the response.

With your help I managed to fix my GuixSD install at least.
I couldn't use the "/var/guix/profiles/per-user/dev/current-guix-<SOME-NUMBER>-link/bin/guix" they gave me the same error. But I noticed that there where older Guix Home configuration laying around there and after activating one of those I could roll-back. 

I think the issue was that I had added "guile-next" to my Guix Home config.

> On 05/14/2024 11:15 AM CEST pelzflorian (Florian Pelz) <[email-masked]> wrote:
> 
>  
> Hello Kristofer.  Even though I do not understand at all how to get into
> such a state, it appears using an older guix has helped you before, so
> you could try running
> /var/guix/profiles/per-user/dev/current-guix-<SOME-NUMBER>-link/bin/guix
> instead of guix.
> 
> Regards,
> Florian